Subject: Re: today's linux-next fails to boot

From: Török Edwin <[email-masked]>
Date: Fri, 11 Jul 2008 17:48:22 +0300

On 2008-07-11 16:59, Ingo Molnar wrote:
> * Török Edwin <[email-masked]> wrote:
>
>   
>>> [Added Ingo to Cc]
>>>
>>> I get the boot problem on i386 with 2008-07-11 linux-next tree, too.
>>> In my case, no error appears on the screen, just staying blank and
>>> dead.  It seems stopping at the very beginning, soon after GRUB, so
>>> could be the same reason.
>>>   
>>>       
>> I don't see any boot messages on the screen, I get that BUG message as
>> soon as grub's menu dissapears.
>> I have bisected it to this range so far:
>> git-bisect good aa03060a78c1aec53075a0c8ca7be19cedfbea8f
>> git-bisect bad b1611c0058bc6635e7257e755c3f194933a7a6df
>>
>> Should I continue to bisect?
>>     
>
> could you check latest tip/master, does it boot fine with the same 
> config?
>   

tip/master boots fine.

On 2008-07-11 16:36, Vegard Nossum wrote:
> One really simple way of getting some more info out of this is to take
> the EIP value (here c0181ca0) and run it through addr2line:
>
>     $ addr2line -e vmlinux -i c0181ca0

Thanks for the hint, I rebuilt a failing kernel, and this is what
addr2line says:

$ addr2line -e vmlinux -i c0181ca0

??:0
$ addr2line -e vmlinux -f c0181ca0
kmem_cache_alloc
??:0

Best regards,
--Edwin